<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<header>
			<h1>HTML Tables and Forms</h1>
		</header>

		<main>
			
			<section>
				<!-- Start of Table -->
				<h2>HTML Entities</h2>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with our HTML code).</em></p>

				<table border="1">
					<thead>
						<tr>
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>&lt;</td>
							<td>lt</td>
							<td>Less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>Greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>Peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>Ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>Double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>Single quotation mark (aphostrophe)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>
				</table>
				<!-- End of Table -->
			</section>

			<section>
				<!-- Start of Form -->
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form</em></p>

				<form action="https://google.com">

					<label for="full name">Full Name:</label>
					<input type="text" name="full_name" id="full_name" required autocomplete=""> <br>

					<label for="birth_date">Birth Date:</label>
					<input type="date" name="birth_date" required> <br>

					<label for="age">Age:</label>
					<input type="number" name="age" id="age" min="1" required> <br>

					<label for="gender">Gender:</label>
					<select name="gender" id="gender">
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select>
					
					<!-- Radio Buttons -->
					<label>New User:</label> <br>

					<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label> <br>

					<input type="radio" name="new_user" id="user-type2" value="no">
					<label for="user-type2">No</label> <br>

					<!-- Checkbox -->
					<label>Role:</label> <br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label> <br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label> <br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role1">Manager</label> <br>

					<button type="submit">Submit</button>
					<button type="reset">Reset</button>

				</form>
				<!-- End of Form -->
			</section>

		</main>

	</body>
</html>